{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}
{% load check_group %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
<link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}"
  rel="stylesheet" />
<link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
<script src="{% static 'assets/plugins/sweetalert/sweetalert.min.js' %}"></script>
{% endblock %}

{% block title %}Constance{% endblock %}
{% block page %}

<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
  <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item">Herramientas</li>
  <li class="breadcrumb-item">Constance</li>
</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header">Valores en Constance</h1>
<!-- end page-header -->
<!-- begin row -->
<div class="row">
  <!-- begin col-6 -->
  <div class="col-xl-12">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="table-basic-1">
      <!-- begin panel-heading -->
      <div class="panel-heading">
        <h4 class="panel-title">Lista de valores</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i
              class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i
              class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i
              class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i
              class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <div class="panel-body">
        {% csrf_token %}
        {% if request.user|has_group:"Head QA"  or request.user|has_group:"Head Exp Cliente" or request.user|has_group:"Head Finanzas" or request.user|has_group:"Head Desarrollo"%} 
        <div class="row mb-3">
          <form class="form-inline">

            <button type="button" class="btn btn-outline-primary" data-toggle="modal" data-target="#indicatorModal">
              <i class="fa fa-plus"></i> Actualizar Constance
            </button>

          </form>
        </div>
        {% endif %}
        <table id="constance" cellspacing="0" class="table table-hover">
          <thead>
            <tr>
              <th style="text-align: center">TIPO</th>
              <th style="text-align: center">VALOR</th>
              
            </tr>
          </thead>
          <tbody>
              {% for cv in constance_values %}
              <tr>
                <td style="text-align: center">{{cv.1}}</td>
                <td style="text-align: center">{{cv.2}}</td>
              </tr>
              {% endfor %}
          </tbody>
        </table>
        <input type="hidden" value="{{ constance_values.0.2 }}" id="month_invoice"/>
        <input type="hidden" value="{{ constance_values.1.2 }}" id="year_invoice"/>
        <input type="hidden" value="{{ constance_values.2.2 }}" id="feriados"/>
        <input type="hidden" value="{{ constance_values.3.2 }}" id="allow_send_nuevo_cliente_email"/>
        <input type="hidden" value="{{ constance_values.4.2 }}" id="allow_send_post_instalacion_email"/>
        <input type="hidden" value="{{ constance_values.5.2 }}" id="allow_send_onboarding_email"/>
        <input type="hidden" value="{{ constance_values.6.2 }}" id="allow_send_contract_acceptance"/>
        <input type="hidden" value="{{ constance_values.7.2 }}" id="allow_feriados"/>
      </div>
      <!-- end panel-body -->
    </div>
    <!-- end panel -->
  </div>
  <!-- end col-12 -->
</div>
<div id="indicatorModal" class="modal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Actualización de valores en Constance</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <!-- MODAL BODY -->
        <form id="formIndicator">
          <fieldset>
            <div class="form-group">
              <label for="type" class="control-label m-r-10">Valores del Constance</label>
              <select id="type" class="form-control" onchange ="inputType();">
                <option value="">---- Seleccione ----</option>
                {% for i in constance_values %}
                <option value="{{i.0}}">{{i.1}}</option>
                {% endfor %}
              </select>
            </div>
            <div class="form-group">
              
              <div id = "inputC"></div>
              <!--
              <input type="number" class="form-control"
                title="En caso de valor porcentual ingrese el valor en decimales. Ej: 19% = 0.19" id="value"
                placeholder="Ingrese el valor del  inicador." required>-->
            </div>
          </fieldset>
        </form>
        <!-- END MODAL BODY -->
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="updateValue();">Guardar cambios</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- end row -->
<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i
    class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}
{% block pageleveljs %}
<script>
//active menu
  document.getElementById("tools_menu").classList.add("active");
  document.getElementById("constance_item").classList.add("active");
  
</script>

<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"
  defer></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script >

    var month_invoice = $('#month_invoice').val();
    var year_invoice = $('#year_invoice').val();
    var feriados = $('#feriados').val();
    var allow_send_nuevo_cliente_email = $('#allow_send_nuevo_cliente_email').val();
    var allow_send_post_instalacion_email = $('#allow_send_post_instalacion_email').val();
    var allow_send_onboarding_email = $('#allow_send_onboarding_email').val();
    var allow_send_contract_acceptance = $("#allow_send_contract_acceptance").val();
    var allow_feriados = $('#allow_feriados').val();
    console.log(allow_feriados)
    var month = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio",
                 "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"];
    var decision = ['yes', 'no'];
    function inputType()
    {
        var selectedConstance = document.getElementById("type").value;
        if (selectedConstance == '1')
        {
            var input = document.createElement("select");
            input.className = "form-control";
            for (i = 0; i < month.length; ++i )
            {
                var option = document.createElement("option");
                option.value = month[i];
                option.text = month[i];
                input.appendChild(option);
                if (month_invoice == month[i])
                {
                    input.selectedIndex = i
                }
            }
        }
        if (selectedConstance == '2')
        {
            var input = document.createElement("input");
            input.type = "number";
            input.className = "form-control";
            input.value = parseInt(year_invoice);

        }
        if (selectedConstance == '3')
        {
            var input = document.createElement("textarea");
            input.className = "form-control";
            input.value = feriados;
        }
        if (selectedConstance == '4' || selectedConstance == '5' || selectedConstance == '6' || selectedConstance == '7' || selectedConstance == '8')
        {
            var input = document.createElement("select");
            input.className = "form-control";
            for (i = 0; i < decision.length; ++i )
            {
                var option = document.createElement("option");
                option.value = decision[i];
                option.text = decision[i];
                input.appendChild(option);
                if (selectedConstance == '4')
                {
                    if (allow_send_nuevo_cliente_email == decision[i])
                    {
                        input.selectedIndex = i;
                    }
                }
                if (selectedConstance == '5')
                {
                    if (allow_send_post_instalacion_email == decision[i])
                    {
                        input.selectedIndex = i;
                    }
                }
                if (selectedConstance == '6')
                {
                    if (allow_send_onboarding_email == decision[i])
                    {
                        input.selectedIndex = i;
                    }
                }
                if (selectedConstance == '7')
                {
                    if (allow_send_contract_acceptance == decision[i])
                    {
                        input.selectedIndex = i;
                    }
                }
                if (selectedConstance == '8')
                {
                    if (allow_feriados == decision[i])
                    {
                        input.selectedIndex = i;
                    }
                }
            }
        }
        var valueLabel = document.createElement("Label");
       // valueLabel.setAttribute("for",last);
        valueLabel.innerHTML = "Valor";

        input.id = "newValue";
        var parent = document.getElementById("inputC");
        parent.innerHTML = '';
        parent.appendChild(valueLabel);
        parent.appendChild(input);
    }

    function updateValue()
    {
        var csrftoken = $("[name=csrfmiddlewaretoken]").val();
            $.ajaxSetup({
                beforeSend: function(xhr, settings) {
                  xhr.setRequestHeader("X-CSRFToken", csrftoken);
                }
            });
        
        send_data = {}
        send_data["config_change"] = $("#type option:selected").text();
        send_data["newVal"] = document.getElementById("newValue").value;

        var url = '{% url "constance-update" %}';
        $.ajax({
            type: 'POST',
            url: url,
            data: send_data,
            success: function(datos)
            {
                alert("Se han guardado los cambios exitosamente.");
                location.reload();
            }
        })
        
        
    }
</script>
{% endblock %}